Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.testing.unit
Class DeadTest

    java.lang.Object
      things.testing.unit.Test
          things.testing.unit.DeadTest

    public class DeadTest

extends Test

This is a dead test implementation. It's used to represent tests that would not load.

Version:
  1.0

  Version History

      EPG - Initial - 19 JUN 05

Author:
  Erich P. Gatejen

Field Summary

Fields inherited from class things.testing.unit.Test
`abort, exception, fail, inconclusive, pass, properties, result, testName, time, total, totalSize`

Method Summary
`java.lang.String` | `getClassName()` Get the class name for the declared test.
`void` | `test_execute()` Run the test.
`void` | `test_prepare()` prepare for the test.

Methods inherited from class things.testing.unit.Test
`ABORT, CODE, COMMENT, DECLARE, EXCEPTION, EXCEPTION, execute, FAIL, getLongName, getName, INCONCLUSIVE, LOG, PASS, PASS, prepare, PUNT, SET_LONG_NAME, SIZE, TIME, VALUE`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### test_prepare

    public void test_prepare()
                      throws java.lang.Throwable

  prepare for the test. Overload this with the test implementation.

  Specified by:
    `test_prepare` in class `Test`
  Throws:
    `java.lang.Throwable`

### test_execute

    public void test_execute()
                      throws java.lang.Throwable

  Run the test. Overload this with the test implementation.

  Specified by:
    `test_execute` in class `Test`
  Throws:
    `java.lang.Throwable`

### getClassName

    public java.lang.String getClassName()

  Get the class name for the declared test.

  Returns:
    the class name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.